/* Aqualooks Theme Engine
 * Copyright (C) 2007 Zammi Khan.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Written by Owen Taylor <otaylor@redhat.com>
 * and by Alexander Larsson <alexl@redhat.com>
 * Modified by Richard Stellingwerff <remenic@gmail.com>
 * Modified by Kulyk Nazar <schamane@myeburg.net>
 * Aqualooks modifications: Zammi Khan <ezammi@yahoo.co.uk>
 */

#include <gtk/gtkrc.h>

typedef struct _AqualooksRcStyle AqualooksRcStyle;
typedef struct _AqualooksRcStyleClass AqualooksRcStyleClass;

extern GType aqualooks_type_rc_style;

#define AQUALOOKS_TYPE_RC_STYLE              aqualooks_type_rc_style
#define AQUALOOKS_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), AQUALOOKS_TYPE_RC_STYLE, AqualooksRcStyle))
#define AQUALOOKS_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), AQUALOOKS_TYPE_RC_STYLE, AqualooksRcStyleClass))
#define AQUALOOKS_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), AQUALOOKS_TYPE_RC_STYLE))
#define AQUALOOKS_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), AQUALOOKS_TYPE_RC_STYLE))
#define AQUALOOKS_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), AQUALOOKS_TYPE_RC_STYLE, AqualooksRcStyleClass))

struct _AqualooksRcStyle
{
  GtkRcStyle parent_instance;

  GdkColor scrollbar_color;
  gboolean has_scrollbar_color;
  double contrast;
  guint8 sunkenmenubar;
  guint8 progressbarstyle;
  guint8 menubarstyle;
  guint8 menuitemstyle;
  guint8 listviewitemstyle;
  guint8 scrollbarstyle;
  gboolean animation;
  gboolean gdm;
};

struct _AqualooksRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void aqualooks_rc_style_register_type (GTypeModule *module);
