/* Aqualooks Engine
 * Copyright (C) 2007 Zammi Khan.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Written by Owen Taylor <otaylor@redhat.com>
 * and by Alexander Larsson <alexl@redhat.com>
 * Modified by Richard Stellingwerff <remenic@gmail.com>
 * Aqualooks modifications: Zammi Khan <ezammi@yahoo.co.uk>
 */
#include <gtk/gtkstyle.h>

#include "animation.h"
#include "aqualooks_types.h"

typedef struct _AqualooksStyle AqualooksStyle;
typedef struct _AqualooksStyleClass AqualooksStyleClass;

extern GType aqualooks_type_style;

#define AQUALOOKS_TYPE_STYLE              aqualooks_type_style
#define AQUALOOKS_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), AQUALOOKS_TYPE_STYLE, AqualooksStyle))
#define AQUALOOKS_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), AQUALOOKS_TYPE_STYLE, AqualooksStyleClass))
#define AQUALOOKS_IS_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), AQUALOOKS_TYPE_STYLE))
#define AQUALOOKS_IS_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), AQUALOOKS_TYPE_STYLE))
#define AQUALOOKS_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), AQUALOOKS_TYPE_STYLE, AqualooksStyleClass))

struct _AqualooksStyle
{
	GtkStyle parent_instance;

	AqualooksColors colors;
	
	guint8   progressbarstyle;
	guint8   menubarstyle;
	guint8   menuitemstyle;
	guint8   listviewitemstyle;
	GdkColor scrollbar_color;
	gboolean has_scrollbar_color;
	gboolean animation;
	gboolean gdm;
};

struct _AqualooksStyleClass
{
  GtkStyleClass parent_class;
};


void aqualooks_style_register_type (GTypeModule *module);
